Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.endpoint
Class AnnotatedEndpointHelper

    java.lang.Object
      org.mule.config.endpoint.AnnotatedEndpointHelper

    public class AnnotatedEndpointHelper

extends Object

This is a wrapper helper that can process `AnnotatedEndpointData` objects (Annotaiton config data) and turn them into `EndpointBuilder` or `ImmutableEndpoint` objects.

THis is an internal class that should only be used by the Annotation parser code.

Field Summary
`protected MuleContext` | `muleContext`
`protected TemplateParser` | `parser`
`protected RegistryMap` | `regMap`
`protected TransportFactory` | `transportFactory`

Constructor Summary
`AnnotatedEndpointHelper(MuleContext muleContext)`

Method Summary
`Object` | `convertProperty(Class type, String property)`
`protected EndpointBuilder` | `getEndpointBuilder(AnnotatedEndpointData epData)`
`protected String` | `parsePlaceholderValues(String key)`
`protected void` | `preprocessEndpointData(AnnotatedEndpointData data)` This method can be overridden to process endpoints before they get built.
`ImmutableEndpoint` | `processEndpoint(AnnotatedEndpointData epData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected TemplateParser parser

### regMap

    protected RegistryMap regMap

### muleContext

    protected MuleContext muleContext

### transportFactory

    protected TransportFactory transportFactory

Constructor Detail

### AnnotatedEndpointHelper

    public AnnotatedEndpointHelper(MuleContext muleContext)
                            throws MuleException

Throws:
  `MuleException`

Method Detail

### parsePlaceholderValues

    protected String parsePlaceholderValues(String key)

### getEndpointBuilder

    protected EndpointBuilder getEndpointBuilder(AnnotatedEndpointData epData)
                                          throws MuleException

  Throws:
    `MuleException`

### processEndpoint

    public ImmutableEndpoint processEndpoint(AnnotatedEndpointData epData)
                                      throws MuleException

  Throws:
    `MuleException`

### preprocessEndpointData

    protected void preprocessEndpointData(AnnotatedEndpointData data)

  This method can be overridden to process endpoints before they get built. This may be useful in environments where the characteristics of the endpoint change depending on the deployed environment

  Parameters:
    `data` - the endpoint data to process

### convertProperty

    public Object convertProperty(Class type,
                                  String property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.